REM Pitimes converts pi timing text to display. v1.0a PD 2001.
' define a byte
DIM Byte AS STRING * 1
' open input file
OPEN "pi_rec.txt" FOR BINARY AS #1
' display header
COLOR 15, 0
PRINT "Pitimes v1.0a"
PRINT " Hours Min Sec     Length"
COLOR 14, 0
' store filelength
FileLength=LOF(1)
' read entire file
FOR Position=1 TO FileLength
   ' read data
   GET 1, Position, Byte
   ' check byte
   IF Byte = CHR$(10) THEN
      PRINT
   ELSE
      PRINT Byte;
   END IF
NEXT
COLOR 7, 0
END
